*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
	scroll-behavior: smooth;
}

:root {
	--color-primary-1: #003865;
	--color-primary-2: #0061A0;
	--color-secondary-1: #0091DA;
	--color-secondary-2: #FF671F;
	--color-tertiary-1: #97999B;
}

body {
	background-color: white;
	margin: 0;
	width: 100%;
}

.wrapper {
	background-color: var(--color-primary-1);
	width: 100%;
	padding: 25px;
}

.icon {
	display: inline-block;
  	width: 1em;
  	height: 1em;
  	stroke-width: 0;
  	stroke: currentColor;
  	fill: currentColor;
}

header {
	background-color: white;
	display: flex;
	flex-direction: column;
	align-items: center;
	border: hidden;
	border-radius: 12px;
}

header:target {
	scroll-margin-top: 25px;
}

header > img {
	background-color: white;
	margin-left: auto;
	margin-right: auto;
	width: 100%;
	border: hidden;
	border-radius: 12px;
}

header > h1 {
	color: var(--color-primary-1);
	text-align: center;
	font-family: "Tilt Prism", sans-serif;
	font-variant-caps: normal;
	font-size: 2rem;
	font-weight: normal;
}

.nav-main {
	position: fixed;
	z-index: 9999;
	line-height: 0;
	background: none;
	top: 1.25%;
	left: 1.25%;
}

.nav-main-menu-toggle {
	background: rgba(255, 255, 255, 0.25);
	-webkit-backdrop-filter: blur(5px);
	backdrop-filter: blur(5px);
	border: hidden;
	border-radius: 25px;
	margin-bottom: -2px;
	margin-top: 10px;
	margin-left: 10px;
	cursor: pointer;
	padding: 0;
	line-height: 0;
}

.nav-main-menu-toggle svg * {
	transform-box: fill-box;
}

.nav-main-menu-toggle rect:nth-child(1) {
	transition: all 2s cubic-bezier(0.18, 0.89, 0.32, 1.28);
	transform-origin: center;
}

.nav-main-menu-toggle rect:nth-child(2) {
	transition: all 2.25s linear;
	transform-origin: center;
}

.nav-main-menu-toggle rect:nth-child(3) {
	transition: all 2s cubic-bezier(0.18, 0.89, 0.32, 1.28);
	transform-origin: center;
}

.nav-main-menu-toggle[aria-expanded="true"] rect:nth-child(1) {
	rotate: 1.125turn;
	translate: 0 10px;
}

.nav-main-menu-toggle[aria-expanded="true"] rect:nth-child(2) {
	scale: 0;
}

.nav-main-menu-toggle[aria-expanded="true"] rect:nth-child(3) {
	rotate: -1.125turn;
	translate: 0 -10px;
}

#nav-main-menu {
	transform: translateX(-110%);
	transition: all 1s ease-in-out;
	position: absolute;
	width: fit-content;
	color: black;
	background: rgba(255, 255, 255, 0.312);
	-webkit-backdrop-filter: blur(5px);
	backdrop-filter: blur(5px);
	margin: 0;
	margin-top: 10px;
	padding: 0;
	list-style: none;
	display: flex;
	visibility: hidden;
	flex-wrap: nowrap;
	flex-direction: column;
	font-family: Verdana, sans-serif;
	font-weight: bold;
	font-variant-caps: small-caps;
	border: hidden;
	border-radius: 25px;
}

#nav-main-menu:not([hidden]) {
	visibility: visible;
	transform: translateX(10px);
	transition: all 1.8s ease-in-out;
}

#nav-main-menu li a {
	color: inherit;
	display: flex;
	line-height: 3;
	padding: 0 2em;
	transition: all .25s ease-in-out;
	text-decoration: none;
	border: hidden;
	border-radius: 25px;
}

#nav-main-menu li a:hover,
#nav-main-menu li a:focus {
	background: white;
}

.link-to-bottom {
	font-size: 1.5em;
	display: block;
	text-align: center;
	margin-top: 25px;
	font-family: Verdana, sans-serif;
	font-weight: bold;
	line-height: 1.5;
}

.link-to-bottom,
.link-to-bottom:link,
.link-to-bottom:visited,
.link-to-bottom:hover,
.link-to-bottom:focus,
.link-to-bottom:active {
	color: white;
	text-decoration: none;
}

.grid-section {
	display: block;
}

main {
	display: block;
	width: fit-content;
	height: fit-content;
}

.cards-main-heading {
	color: white;
	text-align: center;
	font-family: Cambria, serif;
	font-weight: bold;
	font-variant-caps: small-caps;
	width: 100%;
	height: auto;
}

.cards-item,
.cards-item-double,
.cards-item-fullwidth {
	margin-top: 10px;
	margin-bottom: 10px;
	width: fit-content;
	height: fit-content;
	margin-left: auto;
	margin-right: auto;
}

.cards-item-image {
	width: 100%;
	height: auto;
	align-self: center;
	background-color: var(--color-primary-1);
	border: hidden;
	border-radius: 6px;
}

.cards-item-heading {
	text-align: center;
	font-family: Cambria, serif;
	font-weight: bold;
	width: 100%;
	color: white;
}

a.cards-item-link {
	color: white;
	text-decoration: none;
}

a.cards-item-link:hover,
a.cards-item-link:focus,
a.cards-item-link:active {
	text-decoration: underline;
}

a.cards-item-link-underline {
	color: white;
	text-decoration: underline;
}

a.cards-item-link-underline:link,
a.cards-item-link-underline:visited,
a.cards-item-link-underline:hover,
a.cards-item-link-underline:focus,
a.cards-item-link-underline:active {
	color: white;
	text-decoration: underline;
}

.cards-item-paragraph {
	color: white;
	font-family: Verdana, sans-serif;
	font-weight: normal;
}

.cards-item-paragraph::first-letter {
	initial-letter: 2 2;
	font-weight: bold;
	padding-right: 5px;
}

.cards-item-list-unordered {
	list-style-type: circle;
	color: white;
	font-family: Verdana, sans-serif;
	font-weight: normal;
}

.form-directions {
	display: block;
}

.form-directions-label {
	color: white;
	font-family: Verdana, sans-serif;
	text-align: left;
}

.form-directions-input-text {
	border: hidden;
	border-radius: 6px;
	background-color: white;
	color: black;
	font-family: Verdana, sans-serif;
	text-align: left;
	padding: 2px;
}

.form-directions-input-submit {
	border: 2px solid var(--color-secondary-2);
	border-radius: 6px;
	background-color: black;
	color: var(--color-secondary-1);
	font-family: Verdana, sans-serif;
	font-weight: bold;
	padding: 2px;
	text-align: center;
}

#map {
	margin: 20px 0;
	height: 630px;
	width: auto;
	overflow: hidden;
	background: url(images/showcase-map-backup.webp) no-repeat center / cover;
	border: hidden;
	border-radius: 6px;
}

#map h4 {
	font-size: 1.4em;
	margin: 0;
}

#map span {
	display: block;
	font-size: 0.8em;
}

#map ul {
	list-style: disc;
	padding: 5px 20px;
	font-size: 1.2em;
}

.form-contact {
	display: block;
}

.form-contact-grid {
	list-style: none;
	padding: 0;
	text-align: left;
}

.form-contact-grid-item-halfwidth > *,
.form-contact-grid-item-fullwidth > * {
	font-family: Verdana, sans-serif;
	width: 100%;
}

.form-contact-grid-item-halfwidth > label,
.form-contact-grid-item-fullwidth > label {
	color: white;
}

.form-contact-input-text {
	text-align: left;
	padding: 2px;
	border: hidden;
	border-radius: 6px;
	line-height: 2;
	z-index: 2;
	position: relative;
}

.form-contact-input-submit {
	border: 2px solid var(--color-secondary-2);
	border-radius: 6px;
	background-color: black;
	color: var(--color-secondary-1);
	font-weight: bold;
	text-align: center;
	padding: 2px;
	position: relative;
	z-index: 2;
	transition: all 0.2s ease-in;
	display: block;
}

.form-contact label {
	display: block;
	line-height: 1.5;
}

.form-contact input + label,
.form-contact textarea + label {
    	transform: translateY(-100%);
    	transition: all 0.2s ease-in;
    	z-index: 1;
    	position: relative;
	padding-left: 2.5%;
	padding-bottom: 0.5%;
	color: black;
}

.form-contact input:valid + label,
.form-contact textarea:valid + label {
    	transform: translateY(0);
    	background: springgreen;
}

form > ol > li {
	position: relative;
	transition: all 0.2s ease-in;
}

form li:last-child::before {
	content: "🟢";
	position: absolute;
	left: 40px;
	line-height: 2;
	border: hidden;
	border-radius: 6px;
}

form li:last-child::after {
	content: "🔴";
	position: absolute;
	top: 0;
	right: 40px;
	line-height: 2;
	border: hidden;
	border-radius: 6px;
}

form:invalid li:last-child {
	background: crimson;
	padding: 0 100px 0 0;
}

form:valid li:last-child {
	background: springgreen;
	padding: 0 0 0 100px;
}

aside {
	background-color: var(--color-secondary-2);
	color: black;
	border: hidden;
	border-radius: 12px;
	padding: 2.5%;
	width: 100%;
	height: fit-content;
}

.aside-heading {
	font-family: Cambria, serif;
	font-weight: bold;
	font-variant-caps: small-caps;
	text-align: center;
	margin-left: 0;
	margin-right: 0;
}

.first-heading {
	margin-top: 0;
}

.aside-paragraph {
	font-family: Verdana, sans-serif;
	font-weight: normal;
	text-align: center;
	margin-left: 0;
	margin-right: 0
}

.last-paragraph {
	margin-bottom: 0;
}

.aside-subheading {
	font-family: Cambria, serif;
	font-weight: bold;
	font-size: 1.125em;
	font-variant-caps: small-caps;
}

.callout {
	font-family: Cambria, serif;
	font-weight: bold;
	font-size: 2.5em;
	font-variant-caps: small-caps;
	text-align: center;
	background-color: black;
	color: var(--color-secondary-1);
	border: hidden;
	border-radius: 6px;
	padding: 10%;
}

footer {
	width: 100%;
	height: fit-content;
	padding: 10px;
	background-color: var(--color-primary-1);
	margin-top: 25px;
}

.link-to-top {
	font-size: 1.5em;
	line-height: 1.5;
}

footer > p {
	font-family: Verdana, sans-serif;
	font-weight: bold;
	text-align: center;
	color: white;
	margin: 0;
}

footer > p > a {
	font-family: Verdana, sans-serif;
	font-weight: bold;
	text-align: center;
	text-decoration: none;
	color: white;
	margin: 0;
}

footer > p > a:hover,
footer > p > a:focus,
footer > p > a:active {
	text-decoration: underline;
}

.small-caps {
	font-variant-caps: small-caps;
}

.bolded {
	font-weight: bold;
}

.italics {
	font-style: italic;
}

.underline {
	text-decoration: underline;
}

.width-half {
	width: 50%;
}

.alignment-padding-center {
	padding-left: 25%;
	padding-right: 0;
}

.rounded-corners {
	border-radius: 6px;
}

.no-show {
	display: none;
}

.no-drop-cap::first-letter {
	initial-letter: normal;
	font-weight: normal;
	padding-right: 0;
}

@media screen and (min-width: 768px) {
	.wrapper {
		width: 87.5%;
		margin-left: auto;
		margin-right: auto;
		margin-top: 25px;
		margin-bottom: 25px;
		border: hidden;
		border-radius: 25px;
	}

	header {
		border: hidden;
		border-radius: 12px;
	}

	header:target {
		scroll-margin-top: 50px;
	}

	header > img {
		background-color: white;
		margin-left: auto;
		margin-right: auto;
		width: 50%;
	}

	header > h1 {
		font-size: 4rem;
	}
}

@media screen and (min-width: 1025px) {
	.nav-main {
		position: static;
		top: auto;
		left: auto;
		z-index: auto;
		background: none;
		border: none;
		margin-top: 25px;
		margin-bottom: 25px;
	}

	.nav-main-menu-toggle {
		display: none;
	}

	#nav-main-menu {
		position: relative;
		visibility: visible;
		transform: translateX(0);
		transition: none;
		background-color: var(--color-primary-2);
		display: flex;
		flex-direction: row;
		font-variant-caps: small-caps;
		justify-content: space-evenly;
		justify-self: center;
		margin: 0;
		border: 5px solid white;
		border-radius: 10px;
	}

	#nav-main-menu li a {
		color: white;
		border: 5px hidden;
		border-radius: 2.5px;
	}

	#nav-main-menu li a:hover,
	#nav-main-menu li a:focus {
		background-color: white;
		color: black;
	}

	.link-to-bottom {
		margin-top: 0;
	}

	.grid-section {
		display: grid;
		grid-template-columns: repeat(8, 1fr);
		gap: 2.5%;
		width: 100%;
	}
	
	main {
		grid-column-start: 1;
		grid-column-end: span 5;
		display: grid;
		grid-template-columns: 1fr 1fr;
		gap: 25px;
		height: fit-content;
	}

	main > div:nth-child(even) > img {
		justify-self: left;
	}

	main > div:nth-child(odd) > img {
		justify-self: right;
	}
	
	.cards-main-heading {
		color: white;
		grid-column-start: 1;
		grid-column-end: span 2;
		text-align: center;
		font-family: Cambria, serif;
		font-weight: bold;
		font-variant-caps: small-caps;
	}
	
	.cards-item {
		grid-column-start: auto;
		grid-column-end: span 1;
		grid-row-start: auto;
		grid-row-end: span 1;
	}
	
	.cards-item-double {
		grid-column-start: auto;
		grid-column-end: span 1;
		grid-row-start: auto;
		grid-row-end: span 2;
	}

	.cards-item-fullwidth {
		grid-column-start: auto;
		grid-column-end: span 2;
		grid-row-start: auto;
		grid-row-end: span 1;
	}
	
	.cards-item-image {
		background-color: var(--color-primary-1);
		border: hidden;
		border-radius: 6px;
		width: 100%;
		height: auto;
	}

	.cards-item-heading {
		padding-left: 2.5em;
		padding-right: 2.5em;
	}

	a.cards-item-link-underline {
		color: white;
		text-decoration: underline;
	}
	
	a.cards-item-link-underline:link,
	a.cards-item-link-underline:visited,
	a.cards-item-link-underline:hover,
	a.cards-item-link-underline:focus,
	a.cards-item-link-underline:active {
		color: white;
		text-decoration: underline;
	}	

	.form-directions {
		display: grid;
		grid-template-columns: repeat(5, 1fr);
		gap: 2.5%;
		width: 630px;
	}

	.form-directions-label {
		grid-column-start: auto;
		grid-column-end: span 5;
	}

	.form-directions-input-text {
		grid-column-start: auto;
		grid-column-end: span 4;
	}

	.form-directions-input-submit {
		grid-column-start: auto;
		grid-column-end: span 1;
	}

	#map {
		grid-column-start: auto;
		grid-column-end: span 2;
		grid-row-start: auto;
		grid-row-end: span 1;
		margin: 20px 0;
		height: 630px;
		width: 630px;
		overflow: hidden;
		background: url(images/showcase-map-backup.webp) no-repeat center / cover;
	}
	
	#map h4 {
		font-size: 1.4em;
		margin: 0;
	}
	
	#map span {
		display: block;
		font-size: 0.8em;
	}
	
	#map ul {
		list-style: disc;
		padding: 5px 20px;
		font-size: 1.2em;
	}

	.form-contact-grid {
		display: grid;
		grid-template-columns: repeat(4, 1fr);
		gap: 2.5%;
		width: 630px;
	}

	.form-contact-grid-item-halfwidth {
		grid-column-start: auto;
		grid-column-end: span 2;
	}

	.form-contact-grid-item-fullwidth {
		grid-column-start: auto;
		grid-column-end: span 4;
	}

	aside {
		grid-column-start: 6;
		grid-column-end: span 3;
		background-color: var(--color-secondary-2);
		color: black;
		border: hidden;
		border-radius: 12.5px;
		padding: 25px;
	}

	.small-caps {
		font-variant-caps: small-caps;
	}
	
	.bolded {
		font-weight: bold;
	}
	
	.italics {
		font-style: italic;
	}
	
	.underline {
		text-decoration: underline;
	}
	
	.width-half {
		width: 50%;
	}
	
	.alignment-padding-center {
		padding-left: 25%;
		padding-right: 0;
	}
	
	.rounded-corners {
		border-radius: 6.25px;
	}

	.no-show {
		display: none;
	}

	.no-drop-cap::first-letter {
		initial-letter: normal;
		font-weight: normal;
		padding-right: 0;
	}
}